package ru.myitschool.work.api.main

import com.google.gson.annotations.SerializedName

data class UserInfo(
    @SerializedName("id") val id: Int,
    @SerializedName("login") val login: String,
    @SerializedName("name") val name: String,
    @SerializedName("photo") val photoUrl: String,
    @SerializedName("position") val position: String,
    @SerializedName("lastVisit") val lastVisit: String,
) {
    companion object {
        val Initial = UserInfo(
            id = 0,
            login = "",
            name = "",
            photoUrl = "",
            position = "",
            lastVisit = "",
        )
    }
}